X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

can't download firefox 18 despite having all system requirements

Posted

I have a MAc running OSX 10.6 with plenty of memory space available and an intel dual core processor. I hav tried multiple times to download Firefox 18 and according to the "about" tab in the FF windo, I am current. However, multiple sites on the web inform me my browser is out of date. What next?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Displays Java applet content, or a placeholder if Java is not installed.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • RealPlayer Plugin
  • Microsoft Office for Mac SharePoint Browser Plug-in
  • Watch and download full length videos from your browser
  • Simplifies the uploading of photo files.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 FBSMTWB

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10783 solutions 97057 answers

You have a corrupted user agent that identifies you as Firefox/3.5.6, caused by fast browser search (FBSMTWB)

  • Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 FBSMTWB

See:

Tyler Downer
  • Top 25 Contributor
  • Administrator
  • Moderator
1166 solutions 6653 answers

Websites say that Firefox is outdated or incompatible even though it's the latest version should help